
%define _libmoddir /lib/modules

#%{!?kernel:%define kernel %(rpm -q kernel-source --qf "%{RPMTAG_VERSION}-%{RPMTAG_RELEASE}" | tail -1)}

%define kversion %(echo "%{kernel}" | sed -e 's|-.*||')
%define krelease %(echo "%{kernel}" | sed -e 's|.*-||')


#Detect kernel 2.6.x build
%if %(echo %{kernel} | grep -c "^2\.6")
%define kernel26   1
%endif

%define moduledir /kernel/drivers/net/wireless/ipw3945

%if %{kernel26}
%define kext ko
%else
%define kext o
%endif

%define modules ipw3945.%{kext} 


Summary: Linux driver for the Intel Wireless Pro 3945 WiFi chipsets.
Name: kernel-module-ipw3945
Version: 1.1.0
Release: pre2.2.SL4
Epoch: 0
License: GPL, other
Group: System Environment/Kernel

Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux

Source: http://dl.sf.net/ipw3945/ipw3945-%{version}-pre2-builtin-ieee80211.tgz
Patch100: ipw3945-1.1.0-kernel-2.6.9-42.EL-compile.fix
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

%if %{kernel26}
BuildRequires: kernel-devel
%else
BuildRequires: kernel-source
%endif

Requires: /boot/vmlinuz-%{kernel}
Requires: ipw3945d
Requires: ipw3945-firmware

Provides: kernel-module
%description
Linux driver for the Intel Wireless Pro 3945 WiFi

These drivers are built for kernel %{kversion}-%{krelease}
and architecture %{_target_cpu}.

%package -n kernel-module-ipw3945-%{kernel}

Summary: Linux driver for the Intel Wireless Pro 3945 WiFi.
Group: System Environment/Kernel

Requires: /boot/vmlinuz-%{kernel}
Requires: ipw3945d
Requires: ipw3945-firmware

Provides: kernel-module
Provides: kernel-module-ipw3945 = %{epoch}:%{version}-%{release}

%description -n kernel-module-ipw3945-%{kernel}
Linux driver for the Intel Wireless Pro 3945 WiFi

These drivers are build for kernel %{kernel}
and architecture %{_target_cpu}.

%prep
%setup -n ipw3945-1.1.0-pre2-builtin-ieee80211
%patch100 -p1

%build

make clean
make KERNELPATH=/lib/modules/%{kversion}-%{krelease}/build/ modules
%{__install} -d -m0755 %{buildroot}%{_libmoddir}/%{kversion}-%{krelease}%{moduledir}
%{__install} -m0644 %{modules} %{buildroot}%{_libmoddir}/%{kversion}-%{krelease}%{moduledir}

%install

%postun -n kernel-module-ipw3945-%{kernel}

if [ "`uname -r`" = "%{kernel}" ] ; then
  depmod -a >/dev/null 2>&1 || :
else
	if [ -r /boot/System.map-%{kernel} ] ; then
		/sbin/depmod -e -F /boot/System.map-%{kernel} %{kernel} > /dev/null || :
	fi
fi


%post -n kernel-module-ipw3945-%{kernel}

if [ "`uname -r`" = "%{kernel}" ] ; then
  depmod -a >/dev/null 2>&1 || :
else
	if [ -r /boot/System.map-%{kernel} ] ; then
		/sbin/depmod -e -F /boot/System.map-%{kernel} %{kernel} > /dev/null || :
	fi
fi

%clean
%{__rm} -rf %{buildroot}

%files -n kernel-module-ipw3945-%{kernel}
%defattr(-, root, root, 0755)
%{_libmoddir}/%{kversion}-%{krelease}%{moduledir}/*


%changelog
* Fri Sep 29 2006 Troy Dawson <dawson@fnal.gov>
- slight change in the way the package is built

* Mon Nov 28 2005 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- initial package, iee80211 built-in hack.
